# Record TCefDomDocument

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDomDocument = record`

## Description

Structure used to represent a DOM document. The functions of this structure should only be called on the render process main thread thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDomDocument.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domdocument_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_type: function(self: PCefDomDocument): TCefDomDocumentType; stdcall;`
| `get_document: function(self: PCefDomDocument): PCefDomNode; stdcall;`
| `get_body: function(self: PCefDomDocument): PCefDomNode; stdcall;`
| `get_head: function(self: PCefDomDocument): PCefDomNode; stdcall;`
| `get_title: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
| `get_element_by_id: function(self: PCefDomDocument; const id: PCefString): PCefDomNode; stdcall;`
| `get_focused_node: function(self: PCefDomDocument): PCefDomNode; stdcall;`
| `has_selection: function(self: PCefDomDocument): Integer; stdcall;`
| `get_selection_start_offset: function(self: PCefDomDocument): Integer; stdcall;`
| `get_selection_end_offset: function(self: PCefDomDocument): Integer; stdcall;`
| `get_selection_as_markup: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
| `get_selection_as_text: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
| `get_base_url: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
| `get_complete_url: function(self: PCefDomDocument; const partialURL: PCefString): PCefStringUserFree; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_type: function(self: PCefDomDocument): TCefDomDocumentType; stdcall;`
This item has no description.

| `get_document: function(self: PCefDomDocument): PCefDomNode; stdcall;`
This item has no description.

| `get_body: function(self: PCefDomDocument): PCefDomNode; stdcall;`
This item has no description.

| `get_head: function(self: PCefDomDocument): PCefDomNode; stdcall;`
This item has no description.

| `get_title: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
This item has no description.

| `get_element_by_id: function(self: PCefDomDocument; const id: PCefString): PCefDomNode; stdcall;`
This item has no description.

| `get_focused_node: function(self: PCefDomDocument): PCefDomNode; stdcall;`
This item has no description.

| `has_selection: function(self: PCefDomDocument): Integer; stdcall;`
This item has no description.

| `get_selection_start_offset: function(self: PCefDomDocument): Integer; stdcall;`
This item has no description.

| `get_selection_end_offset: function(self: PCefDomDocument): Integer; stdcall;`
This item has no description.

| `get_selection_as_markup: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
This item has no description.

| `get_selection_as_text: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
This item has no description.

| `get_base_url: function(self: PCefDomDocument): PCefStringUserFree; stdcall;`
This item has no description.

| `get_complete_url: function(self: PCefDomDocument; const partialURL: PCefString): PCefStringUserFree; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.